org.keycloak.admin.client.resource

## Interface ComponentsResource

-     public interface ComponentsResource

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `add(ComponentRepresentation rep)`
    `ComponentResource` | `component(String id)`
    `List<ComponentRepresentation>` | `query()`
    `List<ComponentRepresentation>` | `query(String parent)`
    `List<ComponentRepresentation>` | `query(String parent, String type)`
    `List<ComponentRepresentation>` | `query(String parent, String type, String name)`

- - ### Method Detail

    - #### query

          @GET
           @Produces(value="application/json")
          List<ComponentRepresentation> query()

    - #### query

          @GET
           @Produces(value="application/json")
          List<ComponentRepresentation> query(@QueryParam(value="parent")
                                                                                        String parent)

    - #### query

          @GET
           @Produces(value="application/json")
          List<ComponentRepresentation> query(@QueryParam(value="parent")
                                                                                        String parent,
                                                                                        @QueryParam(value="type")
                                                                                        String type)

    - #### query

          @GET
           @Produces(value="application/json")
          List<ComponentRepresentation> query(@QueryParam(value="parent")
                                                                                        String parent,
                                                                                        @QueryParam(value="type")
                                                                                        String type,
                                                                                        @QueryParam(value="name")
                                                                                        String name)

    - #### add

          @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response add(ComponentRepresentation rep)

    - #### component

          @Path(value="{id}")
          ComponentResource component(@PathParam(value="id")
                                                          String id)

Copyright © 2021 JBoss by Red Hat. All rights reserved.